Skip to main content
Update enterprise
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Body

application/json

Enterprise meta data

name
string
required

User defined name of the enterprise. Once enterprise is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title for the enterprise. Title can be changed any time

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
SfdcId
string
HubspotId
string
state
enum<string>
default:ENTERPRISE_STATE_UNSPECIFIED

Enterprise state

Available options:
ENTERPRISE_STATE_UNSPECIFIED,
ENTERPRISE_STATE_CREATED,
ENTERPRISE_STATE_DELETED,
ENTERPRISE_STATE_ACTIVE,
ENTERPRISE_STATE_INACTIVE,
ENTERPRISE_STATE_SIGNEDUP
type
enum<string>
default:ENTERPRISE_TYPE_UNSPECIFIED

Enterprise type

Available options:
ENTERPRISE_TYPE_UNSPECIFIED,
ENTERPRISE_TYPE_SELFSIGNUP
policyList
object

Policy version list

parentEntpId
string

Parent enterprise ID

Pattern: [0-9A-Za-z_=-]{28}
azureSubId
string

Azure subscription ID tied to this enterprise

description
string

Detailed description of the enterprise

Maximum string length: 256
realms
string[]

List of realms associated with the enterprise

attributes
object

enterprise level key-value pairs

inheritAuthFromParent
boolean

Perform authorization using parent enterprise

childEnterprises
object[]

List of all child enterprises

controllerHostURL
string

zedcontrol host

streamEvents
object

Enable / Disable streaming of events to 3rd party end point

totpSettings
object

Enterprise settings to enforce TOTP

apiTokenExpiryInSeconds
integer<int64>

Enterprise settings for API Token expiry to be set in seconds

Response

A successful response.

token
Base64 encoded opaque token · object
action
enum<string>
default:CrudAction__INVALID__
Available options:
CrudAction__INVALID__,
CrudActionNotApplicable,
CrudActionCreate,
CrudActionRead,
CrudActionUpdate,
CrudActionDelete,
CrudActionQuery,
CrudActionQueryNext,
CrudActionReadSelf,
CrudActionUpdateSelf
result
object
read
object
query
object